Bug 1460414 - WARNING: CPU: 0 PID: 0 at kernel/cgroup/cgroup.c:441 cgroup_get+0x4b/0x60
WARNING: CPU: 0 PID: 0 at kernel/cgroup/cgroup.c:441 cgroup_get+0x4b/0x60
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 21:37 EDT by Yin.JianHong
Modified: 2017-06-15 18:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2017-06-09 21:37:25 EDT
Description of problem:

Got kernel WARNING at Fedora-26 as a pNFS server
'''
WARNING: CPU: 0 PID: 0 at kernel/cgroup/cgroup.c:441 cgroup_get+0x4b/0x60
...
'''

Version-Release number of selected component (if applicable):
Fedora-26-20170605.n.0
4.11.0-2.fc26.x86_64

How reproducible:
TBD

Steps to Reproduce:
-

Actual results:
'''
Checking dmesg for specific failures!
[  250.900627] ------------[ cut here ]------------
[  250.905796] WARNING: CPU: 0 PID: 0 at kernel/cgroup/cgroup.c:441 cgroup_get+0x4b/0x60
[  250.914538] Modules linked in: xfs libcrc32c iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi binfmt_misc coretemp iTCO_wdt kvm_intel gpio_ich iTCO_vendor_support i5000_edac e1000e ptp kvm pps_core edac_core lpc_ich irqbypass i2c_i801 i5k_amb shpchp acpi_cpufreq tpm_tis tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc mgag200 i2c_algo_bit drm_kms_helper ttm drm serio_raw ata_generic pata_acpi stex
[  250.955414] CPU: 0 PID: 0 Comm: swapper/0 Not tainted 4.11.0-2.fc26.x86_64 #1
[  250.963376] Hardware name: NEC Express5800/120Eh [N8100-1236]/7VCSL-NJ, BIOS 1.0.5G43 10/12/2006
[  250.973179] Call Trace:
[  250.975906]  <IRQ>
[  250.978152]  dump_stack+0x63/0x84
[  250.981840]  __warn+0xcb/0xf0
[  250.985148]  warn_slowpath_null+0x1d/0x20
[  250.989620]  cgroup_get+0x4b/0x60
[  250.993315]  cgroup_sk_alloc+0x32/0xe0
[  250.997496]  sk_clone_lock+0x328/0x3b0
[  251.001677]  inet_csk_clone_lock+0x16/0xe0
[  251.006247]  tcp_create_openreq_child+0x23/0x450
[  251.011399]  tcp_v6_syn_recv_sock+0xa5/0x760
[  251.016163]  tcp_check_req+0x3af/0x510
[  251.020342]  ? tcp_v6_inbound_md5_hash+0x68/0x1d0
[  251.025591]  ? fib_rules_lookup+0x130/0x1a0
[  251.030257]  tcp_v6_rcv+0x4db/0x970
[  251.034148]  ? ip6_pol_route+0x770/0x770
[  251.038522]  ip6_input_finish+0xc7/0x450
[  251.042896]  ip6_input+0x3f/0xb0
[  251.046494]  ip6_rcv_finish+0x89/0xf0
[  251.050578]  ipv6_rcv+0x343/0x550
[  251.054274]  ? packet_rcv+0x44/0x430
[  251.058262]  __netif_receive_skb_core+0x38b/0xa60
[  251.063510]  ? tcp6_gro_receive+0x50/0x1b0
[  251.068079]  ? ipv6_gro_receive+0x1a1/0x370
[  251.072745]  __netif_receive_skb+0x18/0x60
[  251.077313]  netif_receive_skb_internal+0x40/0xb0
[  251.082561]  napi_gro_receive+0x108/0x140
[  251.087049]  e1000_receive_skb+0x8a/0x130 [e1000e]
[  251.092395]  ? __napi_alloc_skb+0xa1/0xf0
[  251.096871]  e1000_clean_rx_irq+0x1fb/0x3d0 [e1000e]
[  251.102413]  e1000e_poll+0x78/0x2d0 [e1000e]
[  251.107178]  ? find_next_bit+0xb/0x10
[  251.111260]  net_rx_action+0x14a/0x3e0
[  251.115441]  __do_softirq+0xea/0x2e3
[  251.119429]  irq_exit+0xfb/0x100
[  251.123027]  do_IRQ+0x80/0xd0
[  251.126335]  common_interrupt+0x93/0x93
[  251.130612] RIP: 0010:mwait_idle+0x93/0x160
[  251.135277] RSP: 0000:ffffffffb7e03df0 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff5d
[  251.143725] RAX: 0000000000000000 RBX: ffffffffb7e104c0 RCX: 0000000000000000
[  251.151686] RDX: 0000000000000000 RSI: 0000000000000000 RDI: 0000000000000000
[  251.159647] RBP: ffffffffb7e03e08 R08: 0000003a728283ca R09: ffff9b667625af48
[  251.167607] R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000000
[  251.175570] R13: ffffffffb7e104c0 R14: 0000000000000000 R15: 0000000000000000
[  251.183531]  </IRQ>
[  251.185870]  arch_cpu_idle+0xf/0x20
[  251.189759]  default_idle_call+0x23/0x30
[  251.194135]  do_idle+0x170/0x200
[  251.197733]  cpu_startup_entry+0x71/0x80
[  251.202107]  rest_init+0x77/0x80
[  251.205707]  start_kernel+0x45a/0x47b
[  251.209791]  ? early_idt_handler_array+0x120/0x120
[  251.215134]  x86_64_start_reservations+0x24/0x26
[  251.220284]  x86_64_start_kernel+0x13c/0x15f
[  251.225046]  start_cpu+0x14/0x14
[  251.228666] ---[ end trace e12e9f188b22bf70 ]---

End of log.
'''

Expected results:
fine

Additional info:

Note You need to log in before you can comment on or make changes to this bug.